<%@ page language="java"%>
<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%>
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>
<%@taglib uri="/WEB-INF/lib/sa.tld" prefix="sa"%>

<jato:useViewBean className="com.sun.netstorage.mgmt.fm.storade.ui.viewbeans.discovery.DiscoveryViewBean">

<sa:primarymasthead name="Masthead">

<script language="javascript">

function validate() {
   var ret;

   if(document.getElementById('discoveryMechanism').value == 'ip') {
	 ret = empty_check(document.getElementById('iplist'),
                     '<cc:text name="JSAlert" bundleID="appBundle" defaultValue="js.alert.discovery.ipRequired" escape="false"/>');
         if(!ret)
	    return false;
   }


   if(document.getElementById('prefix2').checked) {
	ret = empty_check(document.getElementById('custom'),
                     '<cc:text name="JSAlert" bundleID="appBundle" defaultValue="js.alert.discovery.customRequired" escape="false"/>');
        if(!ret)
	    return false;
   }

   return true;
}

</script>


<jato:form name="utilitiesForm" method="post">

<!-- Page Title -->
<cc:pagetitle
  name="PageTitle"
  bundleID="appBundle"
  pageTitleText="page.title.discoveryDevice"
  showPageTitleSeparator="true"
  showPageButtonsTop="true"
  showPageButtonsBottom="true">

<!-- PropertySheet -->
  <cc:propertysheet
   name="DiscoveryPropertySheet"
   bundleID="appBundle"
   showJumpLinks="true"
   addJavaScript="true" />

</cc:pagetitle>

</jato:form>

</sa:primarymasthead>

</jato:useViewBean>

